﻿using System;

using System.Collections.Generic;
using System.Text;

namespace EVDashboard
{
    public class BmsAlert
    {
        public Byte AlertCode;
        // ***** LOG DATA ******//
        //   OVER_VOLTAGE_CELL	1
        //   OVER_VOLTAGE_PACK	2
        //   UNDER_VOLTAGE_CELL	3
        //   CELL_ERROR			5  //f
        //   DISCHARGE_START		6 // not used.
        //   MONITOR_START		7
        //   MONITOR_STOP		8
        //   POWER_ON			9
        //   BALANCE_ON			10  //a
        //   BALANCE_OFF			11  // b
        //   OVER_TEMPERATURE	11  //c
        //   SELF_TEST_FAIL	 	12  //d
        //   PEC_ERROR			13
        //   ACK_WARNING			14
        //   OPEN_WIRE_ERROR		15
        //   LOAD_FAILURE		16
        //   NO_CELL_READING		17 
        //   CHARGE_START		20
        //   CHARGE_STOP			21
        //   POLL_ERROR			22   // means the polling time of the LTC chip was out of paramater
        //   TEMP_OK				23
        //   EXT_POWER_OFF		25
        //   ERR_CV_TIMEOUT		31
        //   ERR_ACK_TIMEOUT		32

        public Byte Severity;
        //  ** defines for SEVERITY **  //
        public static int SEVERITY_LOG = 1;
        public static int SEVERITY_WARN = 4;
        public static int SEVERITY_ERROR = 8;

        public string Notice;
    }
}
