﻿using System;

using System.Collections.Generic;
using System.Text;

namespace EVDashboard
{
    public class BmsConfig
    {
        // Current status of the BMS
        public string Status;

        // OV is highest voltage allowed
        public float OverVoltage;

        // BV is the voltage at where batteries or cells are balanced
        public float BalanceVoltage;

        // UV is the lowest allowable voltage
        public float UnderVoltage;

        // Highest tempurature allowed
        public float HighTemp;

        // Max KwH
        public float MaxKwH;

        // Number of balance cycles
        public int BalanceCycles;

        // Number of Boards (same as Boards.Count)
        public int NumberOfBoards;
        
        // Number of cells per remote or board
        public List<int> Boards;

        // BMS operating mode (for now RESTART, STOP, RUN, and BALANCE)
        public string Mode;


    }
}
