﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace EVDashboard
{
    interface ISystem
    {
        BmsData Parse(string line);

        void Manager(Stream stream);

        string GetSimFileName();

        BmsConfig GetConfig();

        void Initialize(MainForm form);
        
        void SetBmsSetup(BmsSetup bmsSetup);

        void WriteConfig(BmsConfig bmsConfig);

        bool HasConfig();
    }
}
